Package org.apache.lucene.codecs.uniformsplit

## Interface IndexDictionary.Browser

- All Known Implementing Classes:
    `FSTDictionary.Browser`
  Enclosing interface:
    IndexDictionary

      public static interface IndexDictionary.Browser

  Stateful `IndexDictionary.Browser` to seek a term in this `IndexDictionary` and get its corresponding block file pointer in the block file.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `seekBlock​(BytesRef term)` | Seeks the given term in the `IndexDictionary` and returns its corresponding block file pointer.

- - ### Method Detail

    - #### seekBlock

          long seekBlock​(BytesRef term)
                  throws IOException

      Seeks the given term in the `IndexDictionary` and returns its corresponding block file pointer.
      Returns:
        The block file pointer corresponding to the term if it matches exactly a block key in the dictionary. Otherwise the floor block key, which is the greatest block key present in the dictionary that is alphabetically preceding the searched term. Otherwise `-1` if there is no floor block key because the searched term precedes alphabetically the first block key of the dictionary.
      Throws:
        `IOException`